cascading.operation.assertion

## Class AssertGroupSizeEquals

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.assertion.BaseAssertion<AssertGroupBase.Context>
    - - cascading.operation.assertion.AssertGroupBase
      - - cascading.operation.assertion.AssertGroupSizeEquals

All Implemented Interfaces:
  DeclaresResults, Assertion<AssertGroupBase.Context>, GroupAssertion<AssertGroupBase.Context>, Operation<AssertGroupBase.Context>, PlannedOperation<AssertGroupBase.Context>, Traceable, java.io.Serializable

    public class AssertGroupSizeEquals
    extends AssertGroupBase

Class AssertGroupSizeEquals is an `GroupAssertion` that asserts the number of items in the current group is equal the given size. If a patternString is given, only grouping keys that match the regular expression will have this assertion applied. Note multiple key values will be delimited by a tab character.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.operation.assertion.AssertGroupBase

`AssertGroupBase.Context`

### Field Summary

### Fields inherited from class cascading.operation.assertion.AssertGroupBase

`patternString, size`

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
Constructor and Description
`AssertGroupSizeEquals(long size)` Constructor AssertGroupSizeEquals creates a new AssertGroupSizeEquals instance.
`AssertGroupSizeEquals(java.lang.String patternString, long size)` Constructor AssertGroupSizeEquals creates a new AssertGroupSizeEquals instance.

### Method Summary

Methods
`protected boolean` `assertFails(java.lang.Long groupSize)`
`long` `getSize()`

### Methods inherited from class cascading.operation.assertion.AssertGroupBase

`aggregate, doAssert, equals, getPatternString, hashCode, prepare, start`

### Methods inherited from class cascading.operation.assertion.BaseAssertion

`fail, fail, getMessage, supportsPlannerLevel, throwFail, throwFail`

### Methods inherited from class cascading.operation.BaseOperation

`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface cascading.operation.PlannedOperation

`supportsPlannerLevel`

### Methods inherited from interface cascading.operation.Operation

`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

### Constructor Detail

#### AssertGroupSizeEquals

    @ConstructorProperties(value="size")
    public AssertGroupSizeEquals(long size)

Constructor AssertGroupSizeEquals creates a new AssertGroupSizeEquals instance.

Parameters:
  `size` - of type long

#### AssertGroupSizeEquals

    @ConstructorProperties(value={"patternString","size"})
    public AssertGroupSizeEquals(java.lang.String patternString,
                                               long size)

Constructor AssertGroupSizeEquals creates a new AssertGroupSizeEquals instance.

Parameters:
  `patternString` - of type String
  `size` - of type long

### Method Detail

#### getSize

    public long getSize()

Overrides:
  `getSize` in class `AssertGroupBase`

#### assertFails

    protected boolean assertFails(java.lang.Long groupSize)

Specified by:
  `assertFails` in class `AssertGroupBase`